
Redmine - Defect #27072

Can't update Redmine : [...] activesupport [...] `require': No such file to load --

../lib/redmine/Pagination (LoadError)

2017-09-25 15:47 - David BOUCHE

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.4.2

Description

Can update Redmine, here's the error :

2017-09-25T13:14:29.065Z: /home/************/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.7.1/l

ib/active_support/dependencies.rb:274:in `require': No such file to load -- ../lib/redmine/Paginat

ion (LoadError)

 It seems that I'm not the only person to have this problem : 

https://stackoverflow.com/questions/46194782/redmine-erpmine-plug-in-error

My redmine installation :

Environment:

  Redmine version                3.3.3.stable

  Ruby version                   2.3.3-p222 (2016-11-21) [x86_64-linux]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.16

  Git                            2.13.3

  Filesystem                     

Redmine plugins:

  redmine_agile                  1.4.4

  redmine_contacts               4.1.1

  redmine_contacts_helpdesk      3.0.8

  redmine_wktime                 2.8

 How can we solve this and update our Redmine instances ?

Thanks for your support,

David

History

#1 - 2017-09-25 17:05 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Priority changed from High to Normal

Please post full log.

#2 - 2017-09-27 11:26 - David BOUCHE

The log :

2017-09-25T15:37:57.315+02:00/home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/gems/

activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `require': No such file to load -- ../lib/redm

ine/Pagination (LoadError)

2017-09-25T15:37:57.315+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `require'

2017-09-25T15:37:57.315+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/
gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:240:in `load_dependency'

2017-09-25T15:37:57.315+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `block in require'

2017-09-25T15:37:57.316+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:360:in `require_or_load'

2017-09-25T15:37:57.316+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/plugins/redmine_wktime/li

b/timelogcontroller_patch.rb:1:in `<top (required)>'

2017-09-25T15:37:57.316+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `require'

2017-09-25T15:37:57.316+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:233:in `require_dependency'

2017-09-25T15:37:57.316+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `block in require'

2017-09-25T15:37:57.316+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:240:in `load_dependency'

2017-09-25T15:37:57.316+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:317:in `depend_on'

2017-09-25T15:37:57.316+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `require'

2017-09-25T15:37:57.317+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `require'

2017-09-25T15:37:57.317+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/plugins/redmine_wktime/in

it.rb:7:in `<top (required)>'

2017-09-25T15:37:57.317+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/lib/redmine/plugin.rb:146

:in `load'

2017-09-25T15:37:57.317+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `require'

2017-09-25T15:37:57.317+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:240:in `load_dependency'

2017-09-25T15:37:57.317+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/lib/redmine/plugin.rb:146

:in `each'

2017-09-25T15:37:57.317+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `block in require'

2017-09-25T15:37:57.317+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/lib/redmine/plugin.rb:155

:in `block in load'

2017-09-25T15:37:57.318+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/config/initializers/30-re

dmine.rb:21:in `<top (required)>'

2017-09-25T15:37:57.318+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:268:in `load'

2017-09-25T15:37:57.318+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/notifications.rb:166:in `instrument'

2017-09-25T15:37:57.318+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:240:in `load_dependency'

2017-09-25T15:37:57.318+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:268:in `load'

2017-09-25T15:37:57.318+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:268:in `block in load'

2017-09-25T15:37:57.318+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/engine.rb:652:in `block in load_config_initializer'

2017-09-25T15:37:57.319+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/engine.rb:651:in `load_config_initializer'

2017-09-25T15:37:57.319+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/engine.rb:615:in `block in <class:Engine>'

2017-09-25T15:37:57.319+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/initializable.rb:30:in `instance_exec'

2017-09-25T15:37:57.319+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/engine.rb:615:in `each'

2017-09-25T15:37:57.319+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:228:in `block in tso

rt_each'

2017-09-25T15:37:57.319+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/initializable.rb:55:in `block in run_initializers'

2017-09-25T15:37:57.319+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/engine.rb:616:in `block (2 levels) in <class:Engine>'

2017-09-25T15:37:57.320+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/initializable.rb:44:in `tsort_each_child'

2017-09-25T15:37:57.320+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:422:in `block (2 lev

els) in each_strongly_connected_component_from'

2017-09-25T15:37:57.320+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/initializable.rb:44:in `each'

2017-09-25T15:37:57.320+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:415:in `call'

2017-09-25T15:37:57.320+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:350:in `block (2 lev

els) in each_strongly_connected_component'

2017-09-25T15:37:57.320+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:349:in `block in eac

h_strongly_connected_component'

2017-09-25T15:37:57.320+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:421:in `block in eac
h_strongly_connected_component_from'

2017-09-25T15:37:57.320+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:415:in `each_strongl

y_connected_component_from'

2017-09-25T15:37:57.320+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:431:in `each_strongl

y_connected_component_from'

2017-09-25T15:37:57.321+02:00from config.ru:in `new'

2017-09-25T15:37:57.321+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:347:in `call'

2017-09-25T15:37:57.321+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/application.rb:352:in `initialize!'

2017-09-25T15:37:57.321+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:347:in `each_strongl

y_connected_component'

2017-09-25T15:37:57.321+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/config/environment.rb:14:

in `<top (required)>'

2017-09-25T15:37:57.321+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:226:in `tsort_each'

2017-09-25T15:37:57.321+02:00from config.ru:3:in `require'

2017-09-25T15:37:57.321+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:205:in `tsort_each'

2017-09-25T15:37:57.321+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/rack-1.6.8/lib/rack/builder.rb:55:in `initialize'

2017-09-25T15:37:57.321+02:00from config.ru:3:in `block in <main>'

2017-09-25T15:37:57.321+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:347:in `each'

2017-09-25T15:37:57.321+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/initializable.rb:54:in `run_initializers'

2017-09-25T15:37:57.321+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/rack-1.6.8/lib/rack/builder.rb:55:in `instance_eval'

2017-09-25T15:37:57.322+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/rack-1.6.8/lib/rack/builder.rb:49:in `eval'

2017-09-25T15:37:57.322+02:00from config.ru:in `<main>'

2017-09-25T15:37:57.322+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/rack-1.6.8/lib/rack/builder.rb:49:in `new_from_string'

2017-09-25T15:37:57.322+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/rack-1.6.8/lib/rack/builder.rb:40:in `parse_file'

2017-09-25T15:37:58.314+02:00DAMN ! worker 1 (pid: 16839) died :( trying respawn ...

2017-09-25T15:37:58.314+02:00Respawned uWSGI worker 1 (new pid: 16842)

2017-09-25T15:38:00.738+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `require'

2017-09-25T15:38:00.738+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:240:in `load_dependency'

2017-09-25T15:38:00.738+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `block in require'

2017-09-25T15:38:00.738+02:00/home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/gems/

activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `require': No such file to load -- ../lib/redm

ine/Pagination (LoadError)

2017-09-25T15:38:00.739+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:360:in `require_or_load'

2017-09-25T15:38:00.739+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:240:in `load_dependency'

2017-09-25T15:38:00.739+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `block in require'

2017-09-25T15:38:00.739+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `require'

2017-09-25T15:38:00.739+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/plugins/redmine_wktime/li

b/timelogcontroller_patch.rb:1:in `<top (required)>'

2017-09-25T15:38:00.739+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:233:in `require_dependency'

2017-09-25T15:38:00.739+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:317:in `depend_on'

2017-09-25T15:38:00.740+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `block in require'

2017-09-25T15:38:00.740+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `require'

2017-09-25T15:38:00.740+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/plugins/redmine_wktime/in

it.rb:7:in `<top (required)>'

2017-09-25T15:38:00.740+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `require'

2017-09-25T15:38:00.740+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/lib/redmine/plugin.rb:155

:in `block in load'

2017-09-25T15:38:00.740+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:274:in `require'

2017-09-25T15:38:00.740+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:240:in `load_dependency'

2017-09-25T15:38:00.741+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:268:in `block in load'

2017-09-25T15:38:00.741+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:268:in `load'

2017-09-25T15:38:00.741+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/config/initializers/30-re
dmine.rb:21:in `<top (required)>'

2017-09-25T15:38:00.741+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:240:in `load_dependency'

2017-09-25T15:38:00.741+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/lib/redmine/plugin.rb:146

:in `load'

2017-09-25T15:38:00.741+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/lib/redmine/plugin.rb:146

:in `each'

2017-09-25T15:38:00.742+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/engine.rb:615:in `each'

2017-09-25T15:38:00.742+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/engine.rb:616:in `block (2 levels) in <class:Engine>'

2017-09-25T15:38:00.742+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/engine.rb:615:in `block in <class:Engine>'

2017-09-25T15:38:00.742+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/engine.rb:651:in `load_config_initializer'

2017-09-25T15:38:00.742+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/initializable.rb:30:in `instance_exec'

2017-09-25T15:38:00.742+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/notifications.rb:166:in `instrument'

2017-09-25T15:38:00.742+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/engine.rb:652:in `block in load_config_initializer'

2017-09-25T15:38:00.742+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/activesupport-4.2.7.1/lib/active_support/dependencies.rb:268:in `load'

2017-09-25T15:38:00.743+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:421:in `block in eac

h_strongly_connected_component_from'

2017-09-25T15:38:00.743+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/initializable.rb:55:in `block in run_initializers'

2017-09-25T15:38:00.743+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:228:in `block in tso

rt_each'

2017-09-25T15:38:00.743+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:350:in `block (2 lev

els) in each_strongly_connected_component'

2017-09-25T15:38:00.743+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:422:in `block (2 lev

els) in each_strongly_connected_component_from'

2017-09-25T15:38:00.743+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:431:in `each_strongl

y_connected_component_from'

2017-09-25T15:38:00.744+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/initializable.rb:44:in `each'

2017-09-25T15:38:00.744+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/initializable.rb:44:in `tsort_each_child'

2017-09-25T15:38:00.744+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:415:in `call'

2017-09-25T15:38:00.744+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:415:in `each_strongl

y_connected_component_from'

2017-09-25T15:38:00.744+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:349:in `block in eac

h_strongly_connected_component'

2017-09-25T15:38:00.744+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:347:in `each'

2017-09-25T15:38:00.745+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:226:in `tsort_each'

2017-09-25T15:38:00.745+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:205:in `tsort_each'

2017-09-25T15:38:00.745+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/initializable.rb:54:in `run_initializers'

2017-09-25T15:38:00.745+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/railties-4.2.7.1/lib/rails/application.rb:352:in `initialize!'

2017-09-25T15:38:00.745+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:347:in `call'

2017-09-25T15:38:00.745+02:00from /home/bas/.rbenv/versions/2.3.3/lib/ruby/2.3.0/tsort.rb:347:in `each_strongl

y_connected_component'

2017-09-25T15:38:00.746+02:00from config.ru:3:in `require'

2017-09-25T15:38:00.746+02:00from config.ru:3:in `block in <main>'

2017-09-25T15:38:00.746+02:00from config.ru:in `new'

2017-09-25T15:38:00.746+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/rack-1.6.8/lib/rack/builder.rb:55:in `instance_eval'

2017-09-25T15:38:00.746+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/rack-1.6.8/lib/rack/builder.rb:55:in `initialize'

2017-09-25T15:38:00.746+02:00from config.ru:in `<main>'

2017-09-25T15:38:00.746+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/config/environment.rb:14:

in `<top (required)>'

2017-09-25T15:38:00.747+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/rack-1.6.8/lib/rack/builder.rb:40:in `parse_file'

2017-09-25T15:38:00.747+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/rack-1.6.8/lib/rack/builder.rb:49:in `eval'

2017-09-25T15:38:00.747+02:00from /home/bas/app_6ddcd29e-2372-4bca-8afc-fca8b30107ca/vendor/bundle/ruby/2.3.0/

gems/rack-1.6.8/lib/rack/builder.rb:49:in `new_from_string'

 Thanks for your support,

David
#3 - 2017-09-27 12:29 - Toshi MARUYAMA

- Category deleted (Issues)

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

It is obvious redmine_wktime plugin problem.

#4 - 2022-12-22 07:46 - Dimitar (RedmineUP)

Dear David,

This is Dimitar from the RedmineUP Support Team.

I see that you have some of our plugins on your list:

  redmine_agile                  1.4.4

  redmine_contacts               4.1.1

  redmine_contacts_helpdesk      3.0.8

 May I ask - is the reported problem still appearing to your Redmine?

We look forward to hearing from you.

Best Regards,

Dimitar from the RedmineUP Support Team

David BOUCHE wrote:

Can update Redmine, here's the error :

[...]

It seems that I'm not the only person to have this problem : https://stackoverflow.com/questions/46194782/redmine-erpmine-plug-in-error

My redmine installation :

[...]

How can we solve this and update our Redmine instances ?

Thanks for your support,

David
